Bug 1909804 - nextcloud RPM does not declare Provides for bundled PHP dependencies
Summary: nextcloud RPM does not declare Provides for bundled PHP dependencies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nextcloud
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Engelhard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-21 17:35 UTC by Christian Glombek
Modified: 2021-01-14 02:11 UTC (History)
2 users (show)

Fixed In Version: nextcloud-18.0.12-2.fc32 nextcloud-19.0.6-2.fc33 nextcloud-nextcloud_stable-3320201228205225.601d93de nextcloud-nextcloud_stable-3220201228205225.43bbeeef nextcloud-nextcloud_stable-820201228205225.9edba152
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-07 01:13:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Christian Glombek 2020-12-21 17:35:31 UTC
The PHP libraries in the '3rdparty' dir are not declared in the RPM spec.

Ideally, the deps are unbundled and consumed from the Fedora repositories.

If that is not viable, they _must_ be declared with a `Provides: bundled(<libname>) = <version>` in the RPM spec (see https://docs.fedoraproject.org/en-US/packaging-guidelines/#bundling).

Comment 1 Christopher Engelhard 2020-12-23 09:01:30 UTC
Thanks for reporting, I'll be putting out updated packages with the proper Provides: bundled() ASAP. Same for the - luckily few - bundled libs in the apps/ subdirs.

I've already been working on the unbundling for rawhide but am hesitant to backport that since it constitutes quite a massive change.

Comment 2 Fedora Update System 2020-12-29 07:00:19 UTC
FEDORA-2020-457deb23b1 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-457deb23b1

Comment 3 Fedora Update System 2020-12-29 07:00:19 UTC
FEDORA-MODULAR-2020-2645aa4f49 has been submitted as an update to Fedora 32 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-2645aa4f49

Comment 4 Fedora Update System 2020-12-29 07:00:20 UTC
FEDORA-EPEL-MODULAR-2020-8898b772e0 has been submitted as an update to Fedora Epel 8 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-MODULAR-2020-8898b772e0

Comment 5 Fedora Update System 2020-12-29 07:00:21 UTC
FEDORA-MODULAR-2020-3467efb412 has been submitted as an update to Fedora 33 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-3467efb412

Comment 6 Fedora Update System 2020-12-29 07:00:22 UTC
FEDORA-2020-1be1c886a0 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-1be1c886a0

Comment 7 Fedora Update System 2020-12-30 00:30:23 UTC
FEDORA-2020-457deb23b1 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-457deb23b1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-457deb23b1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-12-30 01:31:07 UTC
FEDORA-2020-1be1c886a0 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-1be1c886a0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-1be1c886a0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-12-30 01:51:38 UTC
FEDORA-MODULAR-2020-2645aa4f49 has been pushed to the Fedora 32 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-2645aa4f49

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-12-30 01:55:26 UTC
FEDORA-EPEL-MODULAR-2020-8898b772e0 has been pushed to the Fedora Epel 8 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-MODULAR-2020-8898b772e0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-12-30 02:06:43 UTC
FEDORA-MODULAR-2020-3467efb412 has been pushed to the Fedora 33 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-3467efb412

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-01-07 01:13:13 UTC
FEDORA-2020-457deb23b1 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-01-07 01:14:36 UTC
FEDORA-2020-1be1c886a0 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2021-01-07 01:38:50 UTC
FEDORA-MODULAR-2020-3467efb412 has been pushed to the Fedora 33 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2021-01-07 01:46:25 UTC
FEDORA-MODULAR-2020-2645aa4f49 has been pushed to the Fedora 32 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2021-01-14 02:11:46 UTC
FEDORA-EPEL-MODULAR-2020-8898b772e0 has been pushed to the Fedora Epel 8 Modular stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.